package com.goldenwater.slgc.service;

import java.util.List;
import java.util.Map;
import com.goldenwater.slgc.domain.AttPustBase;

/** 水闸信息 Service */
public interface PustService {
    /**
     * 查询水闸信息列表
     * 
     * @param attPustBase 查询条件
     * @return 水闸信息列表
     */
    public List<AttPustBase> selectAttPustBaseList(AttPustBase attPustBase);

    /**
     * 通过水闸编码查询水闸信息
     * 
     * @param pustCode 水闸编码
     * @return 水闸信息
     */
    public AttPustBase selectAttPustBaseById(String pustCode);

    /**
     * 批量删除水闸信息
     * 
     * @param pustCodes 水闸编码数组
     * @return 删除行数
     */
    public int deleteAttPustBaseByIds(String[] pustCodes);

    /**
     * 新增水闸信息
     * 
     * @param attPustBase 水闸信息
     * @return 插入行数
     */
    public int insertAttPustBase(AttPustBase attPustBase);

    /**
     * 修改水闸信息
     * 
     * @param attPustBase 水闸信息
     * @return 更新行数
     */
    public int updateAttPustBase(AttPustBase attPustBase);

    /**
     * 统计水闸规模分布
     * 
     * @return 规模分布统计结果
     */
    public List<Map<String, Object>> countType();
}
